import { IApplicationEntity, IContainerProps } from '../../definition';
/**
 * @stable [30.11.2019]
 */
export interface IApplicationContainerProps extends IContainerProps, IApplicationEntity {
}
/**
 * @stable [02.07.2018]
 */
export declare const APPLICATION_INIT_ACTION_TYPE = "init";
export declare const APPLICATION_MOUNT_ACTION_TYPE = "mount";
export declare const APPLICATION_AFTER_INIT_ACTION_TYPE: string;
export declare const APPLICATION_LOGOUT_ACTION_TYPE = "logout";
export declare const APPLICATION_AFTER_LOGOUT_ACTION_TYPE: string;
export declare const APPLICATION_LOGIN_ACTION_TYPE = "login";
export declare const APPLICATION_AFTER_LOGIN_ACTION_TYPE: string;
export declare const APPLICATION_PATH_ACTION_TYPE = "path";
export declare const APPLICATION_AUTHORIZED_ACTION_TYPE = "authorized";
export declare const APPLICATION_UNAUTHORIZED_ACTION_TYPE = "unauthorized";
