"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.DnD = void 0;
var React = require("react");
var react_dropzone_1 = require("react-dropzone");
var base_1 = require("../base");
var DnD = /** @class */ (function (_super) {
    __extends(DnD, _super);
    /**
     * @stable [03.08.2018]
     * @param {IDndProps} props
     */
    function DnD(props) {
        var _this = _super.call(this, props) || this;
        _this.onDrop = _this.onDrop.bind(_this);
        return _this;
    }
    /**
     * @stable [03.08.2018]
     * @returns {JSX.Element}
     */
    DnD.prototype.render = function () {
        var props = this.props;
        return (React.createElement(react_dropzone_1.default, { ref: 'dropZone', className: 'rac-dnd', disabled: props.disabled, style: {}, onDrop: this.onDrop },
            this.t(this.settings.messages.dndMessage),
            props.children));
    };
    /**
     * @stable [03.08.2018]
     */
    DnD.prototype.open = function () {
        this.dropZone.open();
    };
    /**
     * @stable [03.08.2018]
     * @param {File[]} files
     */
    DnD.prototype.onDrop = function (files) {
        var props = this.props;
        if (props.onSelect) {
            props.onSelect(files);
        }
    };
    Object.defineProperty(DnD.prototype, "dropZone", {
        /**
         * @stable [03.08.2018]
         * @returns {INativeDropZoneComponent}
         */
        get: function () {
            return this.refs.dropZone;
        },
        enumerable: false,
        configurable: true
    });
    return DnD;
}(base_1.BaseComponent));
exports.DnD = DnD;
//# sourceMappingURL=dnd.component.js.map