import { Field2 } from '../../field';
import { IBaseCheckboxInputProps, IBaseCheckboxProps, IBaseCheckboxState } from './checkbox.interface';
import { IBaseEvent } from '../../../definition';
export declare class BaseCheckbox<TProps extends IBaseCheckboxProps = IBaseCheckboxProps, TState extends IBaseCheckboxState = IBaseCheckboxState> extends Field2<TProps, TState> {
    static readonly defaultProps: IBaseCheckboxProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [31.08.2018]
     * @returns {IBaseCheckboxInputProps}
     */
    protected getInputElementProps(): IBaseCheckboxInputProps;
    /**
     * @stable [23.10.2019]
     * @param {IBaseEvent} event
     */
    protected onClick(event: IBaseEvent): void;
    /**
     * @stable [05.06.2020]
     * @returns {string}
     */
    protected getFieldClassName(): string;
    /**
     * @stable [19.06.2020]
     * @returns {string}
     */
    protected getLabel(): string;
}
