import { UniversalField } from './universal-field.component';
import { FieldComposedInputAttributesT, IField, IFieldState, IKeyboardEvent } from '../../../definition';
import { IFieldProps2 } from '../../../configurations-definitions.interface';
export declare class Field2<TProps extends IFieldProps2, TState extends IFieldState = IFieldState> extends UniversalField<TProps, TState> implements IField<TProps, TState> {
    static readonly defaultProps: IFieldProps2 & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [03.09.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyDown(event: IKeyboardEvent): void;
    /**
     * @stable [30.10.2019]
     * @returns {FieldComposedInputAttributesT}
     */
    protected getInputElementProps(): FieldComposedInputAttributesT;
    /**
     * @stable [06.10.2018]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
