/// <reference types="react" />
import { IGridFieldProps, IGridFieldState } from './gridfield.interface';
import { MultiField } from '../multifield';
export declare class GridField extends MultiField<IGridFieldProps, IGridFieldState> {
    static readonly defaultProps: IGridFieldProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [02.06.2018]
     * @param {IGridFieldProps} props
     */
    constructor(props: IGridFieldProps);
    /**
     * @stable [21.06.2018]
     * @returns {JSX.Element}
     */
    protected get attachmentElement(): JSX.Element;
    /**
     * @stable [19.09.2018]
     * @returns {string}
     */
    protected getFieldClassName(): string;
    /**
     * @stable [07.06.2018]
     * @param {IFieldChangeEntity} fieldChangeEntity
     */
    private onChangeRowField;
}
