import { BaseTextField } from '../text-field/base-text-field.component';
import { INumberFieldInternalState, INumberFieldInternalProps } from './numberfield.interface';
import { ChangeEventT, IKeyboardProps } from '../../../definition';
export declare class NumberField extends BaseTextField<INumberFieldInternalProps, INumberFieldInternalState> {
    static readonly defaultProps: INumberFieldInternalProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    getRawValueFromEvent(event: ChangeEventT): number | string;
    protected getFieldPattern(): string;
    private get numberSettings();
    /**
     * @stable [01.02.2020]
     * @returns {IKeyboardProps}
     */
    protected getKeyboardProps(): IKeyboardProps;
    /**
     * @stable [02.05.2019]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
