"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeField = void 0;
var text_field_1 = require("../text-field");
var util_1 = require("../../../util");
var TimeField = /** @class */ (function (_super) {
    __extends(TimeField, _super);
    function TimeField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TimeField.prototype.getFieldMask = function () {
        return _super.prototype.getFieldMask.call(this) ||
            (this.props.useShortMask ? this.dateTimeSettings.uiShortTimeMask : this.dateTimeSettings.uiTimeMask);
    };
    TimeField.prototype.getFieldPattern = function () {
        return _super.prototype.getFieldPattern.call(this) ||
            (this.props.useShortMask ? this.dateTimeSettings.uiShortTimePattern : this.dateTimeSettings.uiTimePattern);
    };
    Object.defineProperty(TimeField.prototype, "dateTimeSettings", {
        get: function () {
            return this.settings.dateTime || {};
        },
        enumerable: false,
        configurable: true
    });
    TimeField.defaultProps = util_1.PropsUtils.mergeWithParentDefaultProps({}, text_field_1.BaseTextField);
    return TimeField;
}(text_field_1.BaseTextField));
exports.TimeField = TimeField;
//# sourceMappingURL=timefield.component.js.map