"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseListContainer = void 0;
var generic_container_1 = require("../base/generic.container");
var BaseListContainer = /** @class */ (function (_super) {
    __extends(BaseListContainer, _super);
    /**
     * @stable [11.06.2020]
     * @param {TProps} props
     */
    function BaseListContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onSelect = _this.onSelect.bind(_this);
        return _this;
    }
    /**
     * @stable [11.06.2020]
     */
    BaseListContainer.prototype.componentWillUnmount = function () {
        this.listStoreProxy.dispatchListCancelLoad();
    };
    /**
     * @stable [30.03.2020]
     * @returns {TComponentProps}
     */
    BaseListContainer.prototype.getComponentProps = function () {
        return __assign({ onSelect: this.onSelect }, this.props.list);
    };
    /**
     * @stable [11.06.2020]
     * @param {IEntity} entity
     */
    BaseListContainer.prototype.onSelect = function (entity) {
        this.listStoreProxy.dispatchListSelect(entity);
    };
    return BaseListContainer;
}(generic_container_1.GenericContainer));
exports.BaseListContainer = BaseListContainer;
//# sourceMappingURL=base-list.container.js.map