import { IGenericComponent, IGenericPlugin, IScrolledProps } from '../../definition';
export declare class PersistentScrollPlugin implements IGenericPlugin {
    private readonly component;
    private readonly domAccessor;
    private readonly scrollTask;
    private scrollUnsubscriber;
    /**
     * @stable [06.02.2020]
     * @param {IGenericComponent<IScrolledProps>} component
     */
    constructor(component: IGenericComponent<IScrolledProps>);
    /**
     * @stable [23.10.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [24.10.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [24.10.2019]
     */
    private onScroll;
    /**
     * @stable [24.10.2019]
     */
    private doScroll;
    /**
     * @stable [17.01.2020]
     * @returns {HTMLElement}
     */
    private get selfRef();
}
