"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_PAGINATED_SINGLE_ENTITY = exports.DEFAULT_PAGED_ENTITY = exports.DEFAULT_MAX_PAGED_ENTITY = exports.FIRST_PAGE = exports.DEFAULT_PAGE_SIZE = exports.DEFAULT_MAX_PAGE_SIZE = exports.DEFAULT_LOCAL_PAGE_SIZE = void 0;
/**
 * @stable [18.05.2020]
 */
exports.DEFAULT_LOCAL_PAGE_SIZE = 20;
exports.DEFAULT_MAX_PAGE_SIZE = 1000000;
exports.DEFAULT_PAGE_SIZE = 50;
exports.FIRST_PAGE = 1;
/**
 * @default-entity
 * @stable [18.09.2019]
 */
exports.DEFAULT_MAX_PAGED_ENTITY = Object.freeze({
    page: exports.FIRST_PAGE,
    pageSize: exports.DEFAULT_MAX_PAGE_SIZE,
});
/**
 * @default-entity
 * @stable [17.06.2020]
 */
exports.DEFAULT_PAGED_ENTITY = Object.freeze({
    page: exports.FIRST_PAGE,
    pageSize: exports.DEFAULT_PAGE_SIZE,
});
/**
 * @default-entity
 * @stable [12.10.2019]
 */
exports.DEFAULT_PAGINATED_SINGLE_ENTITY = Object.freeze(__assign(__assign({}, exports.DEFAULT_PAGED_ENTITY), { totalCount: 1 }));
//# sourceMappingURL=page-definition.interface.js.map