"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseStorage = void 0;
var definition_1 = require("../definition");
var BaseStorage = /** @class */ (function () {
    /**
     * @stable [10.09.2020]
     * @param prefix
     * @protected
     */
    function BaseStorage(prefix) {
        this.prefix = prefix;
    }
    /**
     * @stable [10.09.2020]
     * @param key
     * @param noPrefix
     * @protected
     */
    BaseStorage.prototype.toKey = function (key, noPrefix) {
        return noPrefix ? key : [this.prefix, key].join(definition_1.DefaultEntities.PATH_SEPARATOR);
    };
    return BaseStorage;
}());
exports.BaseStorage = BaseStorage;
//# sourceMappingURL=base-storage.service.js.map