"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../di");
var default_storage_service_1 = require("./default/default-storage.service");
var definition_1 = require("../definition");
var util_1 = require("../util");
require("./database/database-storage.module");
require("./default/default-storage.module");
require("./multi-entity/multi-entity-storage.module");
require("./universal-storage.effects");
/**
 * @stable [10.09.2020]
 */
di_1.appContainer
    .bind(di_1.DI_TYPES.NotVersionedPersistentStorage)
    .toConstantValue(new default_storage_service_1.DefaultStorage(util_1.StorageUtils.asNotVersionedKey(definition_1.DefaultEntities.ENVIRONMENT_ENTITY), di_1.DiServices.settings, definition_1.StorageTypesEnum.LOCAL));
/**
 * @stable [10.09.2020]
 */
di_1.appContainer
    .bind(di_1.DI_TYPES.NotVersionedSessionStorage)
    .toConstantValue(new default_storage_service_1.DefaultStorage(util_1.StorageUtils.asNotVersionedKey(definition_1.DefaultEntities.ENVIRONMENT_ENTITY), di_1.DiServices.settings, definition_1.StorageTypesEnum.SESSION));
//# sourceMappingURL=storage.module.js.map