import { Middleware, ReducersMapObject, Store } from 'redux';
import { IStoreEntity } from '../definition';
/**
 * @stable [17.06.2020]
 * @param {TReducers} reducers
 * @param {Middleware[]} appMiddlewares
 * @returns {Promise<Store<IStoreEntity>>}
 */
export declare const makeStore: <TReducers = ReducersMapObject>(reducers: TReducers, appMiddlewares?: Middleware[]) => Promise<Store<IStoreEntity>>;
