import { AnyT } from '../../definitions.interface';
/**
 * @stable [23.05.2018]
 */
export declare class CommandResult {
    static readonly $PROTOCOL_PAYLOAD_CLASS_IDENTIFIER = "CommandResult";
    private command;
    private uuid;
    private data;
    /**
     * @stable [21.05.2018]
     * @param {string} command
     * @param {string} uuid
     * @param {AnyT} data
     */
    constructor(command?: string, uuid?: string, data?: AnyT);
    /**
     * @stable [21.05.2018]
     * @returns {string}
     */
    getCommand(): string;
    /**
     * @stable [21.05.2018]
     * @returns {string}
     */
    getUuid(): string;
    /**
     * @stable [21.05.2018]
     * @returns {AnyT}
     */
    getData(): AnyT;
}
