"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessDeniedContainer = void 0;
var React = require("react");
var flex_1 = require("../../layout/flex");
var connector_1 = require("../../connector");
var base_1 = require("../../base");
var layout_1 = require("../../layout");
var access_denied_interface_1 = require("./access-denied.interface");
var definition_1 = require("../../../definition");
var AccessDeniedContainer = /** @class */ (function (_super) {
    __extends(AccessDeniedContainer, _super);
    function AccessDeniedContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AccessDeniedContainer.prototype.render = function () {
        var props = this.props;
        var messages = this.settings.messages;
        return (React.createElement(layout_1.DefaultLayoutContainer, __assign({}, props),
            React.createElement(flex_1.FlexLayout, { justifyContentCenter: true, alignItemsCenter: true },
                React.createElement("div", { className: 'rac-access-denied' },
                    this.uiFactory.makeIcon('report'),
                    React.createElement("p", null, this.t(messages.accessDeniedMessage)),
                    React.createElement("p", null, this.t(messages.sorryMessage))))));
    };
    AccessDeniedContainer.defaultProps = {
        sectionName: access_denied_interface_1.ACCESS_DENIED_SECTION,
    };
    AccessDeniedContainer = __decorate([
        connector_1.basicConnector({
            routeConfiguration: {
                type: definition_1.ContainerVisibilityTypesEnum.PRIVATE,
                path: 'access/denied',
            },
            mappers: [],
        })
    ], AccessDeniedContainer);
    return AccessDeniedContainer;
}(base_1.GenericContainer));
exports.AccessDeniedContainer = AccessDeniedContainer;
//# sourceMappingURL=access-denied.container.js.map