/// <reference types="react" />
import { ITextAreaProps } from '../../../definition';
import { BaseTextField } from '../text-field';
/**
 * @component-impl
 * @stable [20.06.2020]
 */
export declare class TextArea extends BaseTextField<ITextAreaProps> {
    static readonly defaultProps: ITextAreaProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [20.06.2020]
     * @returns {JSX.Element}
     */
    protected getInputElement(): JSX.Element;
    /**
     * @stable [20.06.2020]
     * @returns {JSX.Element}
     */
    protected get inputAttachmentElement(): JSX.Element;
    /**
     * @stable [20.06.2020]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
