import { IGenericPlugin, IPerfectScrollableComponent } from '../../definition';
export declare class PerfectScrollPlugin implements IGenericPlugin {
    private readonly component;
    private readonly domAccessor;
    private readonly eventEmitter;
    private ps;
    private refreshUnsubscriber;
    private resizeUnsubscriber;
    private scrollUnsubscriber;
    /**
     * @stable [04.12.2019]
     * @param {} component
     */
    constructor(component: IPerfectScrollableComponent);
    /**
     * @stable [04.12.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [04.12.2019]
     */
    componentDidUpdate(): void;
    /**
     * @stable [04.12.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [06.12.2019]
     */
    private doUpdate;
    /**
     * @stable [06.12.2019]
     */
    private registerPlugin;
    /**
     * @stable [17.01.2020]
     */
    private onScroll;
    /**
     * @stable [06.12.2019]
     */
    private doDestroy;
    /**
     * @stable [06.12.2019]
     * @returns {boolean}
     */
    private get doesPsExist();
    /**
     * @stable [04.05.2020]
     * @returns {HTMLElement}
     */
    private get selfRef();
}
