"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../../../di");
var store_proxy_1 = require("./store.proxy");
require("./dialog-form-changes-confirm-store-proxy/dialog-form-changes-confirm-store-proxy.module");
require("./dictionary-store-proxy/dictionary-store-proxy.module");
require("./form-store-proxy/form-store-proxy.module");
require("./list-store-proxy/list-store-proxy.module");
require("./notification-store-proxy/notification-store-proxy.module");
require("./router-store-proxy/router-store-proxy.module");
require("./tab-panel-store-proxy/tab-panel-store-proxy.module");
/**
 * @stable [30.03.2020]
 */
di_1.appContainer.bind(di_1.DI_TYPES.StoreProxyFactory)
    .toFactory(function (ctx) { return function (parent) { return new store_proxy_1.StoreProxy(parent); }; });
//# sourceMappingURL=store-proxy.module.js.map