import { TabPanelContainer } from '../tab-panel.container';
import { IFormTabPanelContainerProps, ITabPanelProps } from '../../../definition';
/**
 * @component-container-impl
 * @stable [30.07.2020]
 *
 * Please use the "Mappers.formTabPanelContainerProps"
 */
export declare class FormTabPanelContainer extends TabPanelContainer<IFormTabPanelContainerProps> {
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchActiveValue(value: number): void;
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    protected dispatchInactiveValue(value: number): void;
    /**
     * @stable [30.07.2020]
     */
    protected get tabPanelProps(): ITabPanelProps;
}
