"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FORM_VALID_ACTION_TYPE = exports.FORM_SUBMIT_FINISH_ACTION_TYPE = exports.FORM_SUBMIT_ERROR_ACTION_TYPE = exports.FORM_SUBMIT_DONE_ACTION_TYPE = exports.FORM_SUBMIT_ACTION_TYPE = exports.FORM_RESET_ACTION_TYPE = exports.FORM_PROGRESS_ACTION_TYPE = exports.FORM_INACTIVE_VALUE_ACTION_TYPE = exports.FORM_DESTROY_ACTION_TYPE = exports.FORM_DEFAULT_CHANGE_ACTION_TYPE = exports.FORM_CLEAR_ACTION_TYPE = exports.FORM_CHANGE_ACTION_TYPE = exports.FORM_ACTIVE_VALUE_ACTION_TYPE = exports.FormClassesEnum = exports.INITIAL_REDUX_FORM_ENTITY = exports.DEFAULT_COMPACT_FORM_ENTITY = void 0;
var redux_effects_promise_1 = require("redux-effects-promise");
/**
 * @default-entity
 * @stable [09.06.2020]
 */
exports.DEFAULT_COMPACT_FORM_ENTITY = Object.freeze({
    actionsRendered: false,
    compact: true,
});
/**
 * @initial-redux-entity
 * @stable [08.05.2020]
 */
exports.INITIAL_REDUX_FORM_ENTITY = Object.freeze({
    changes: {},
    defaultChanges: {},
});
/**
 * @classes
 * @stable [23.03.2020]
 */
var FormClassesEnum;
(function (FormClassesEnum) {
    FormClassesEnum["FORM"] = "rac-form";
    FormClassesEnum["FORM_ACTIONS"] = "rac-form__actions";
    FormClassesEnum["FORM_BODY"] = "rac-form__body";
    FormClassesEnum["FULL_FORM"] = "rac-full-form";
})(FormClassesEnum = exports.FormClassesEnum || (exports.FormClassesEnum = {}));
/**
 * @stable [01.04.2020]
 */
exports.FORM_ACTIVE_VALUE_ACTION_TYPE = 'form.active.value';
exports.FORM_CHANGE_ACTION_TYPE = 'form.change';
exports.FORM_CLEAR_ACTION_TYPE = 'form.clear';
exports.FORM_DEFAULT_CHANGE_ACTION_TYPE = 'form.default.change';
exports.FORM_DESTROY_ACTION_TYPE = 'form.destroy';
exports.FORM_INACTIVE_VALUE_ACTION_TYPE = 'form.inactive.value';
exports.FORM_PROGRESS_ACTION_TYPE = 'form.progress';
exports.FORM_RESET_ACTION_TYPE = 'form.reset';
exports.FORM_SUBMIT_ACTION_TYPE = 'form.submit';
exports.FORM_SUBMIT_DONE_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildDoneActionType(exports.FORM_SUBMIT_ACTION_TYPE);
exports.FORM_SUBMIT_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.FORM_SUBMIT_ACTION_TYPE);
exports.FORM_SUBMIT_FINISH_ACTION_TYPE = 'form.submit.finish';
exports.FORM_VALID_ACTION_TYPE = 'form.valid';
//# sourceMappingURL=form-definition.interface.js.map