import { EntityIdT, IEntity } from '../definitions.interface';
import { IOperationEntity } from '../definition';
/**
 * @stable [02.04.2020]
 * @param {string} uuid
 * @param {EntityIdT} entityId
 * @returns {IOperationEntity}
 */
export declare const makeEntityOperation: <TEntity extends IEntity>(uuid: string, ...entityId: EntityIdT[]) => IOperationEntity;
/**
 * @stable [12.05.2020]
 */
export declare const VERSION_PROCESSOR_LOADING_INFO_OPERATION: IOperationEntity;
