import { IEffectsAction } from 'redux-effects-promise';
export declare class RouterEffects {
    private static readonly logger;
    private readonly domAccessor;
    private readonly router;
    $onRewrite(action: IEffectsAction): void;
    $onNavigate(action: IEffectsAction): void;
    /**
     * @stable [30.05.2019]
     * @param {IEffectsAction} action
     */
    $onReplace(action: IEffectsAction): void;
    /**
     * @stable [18.12.2019]
     * @param {IEffectsAction} action
     */
    $onBack(action: IEffectsAction): void;
    /**
     * @stable [17.11.2019]
     */
    $onReload(): void;
    /**
     * @stable [18.05.2020]
     * @param {IEffectsAction} action
     * @returns {IFluxNavigateEntity<History.Path, History.LocationState>}
     */
    private asFluxEntity;
}
