import { AnyT } from '../definitions.interface';
import { IStorage } from '../definition';
export declare abstract class BaseStorage implements IStorage {
    protected prefix: string;
    /**
     * @stable [10.09.2020]
     * @param prefix
     * @protected
     */
    protected constructor(prefix: string);
    /**
     * @stable [10.09.2020]
     * @param key
     * @param value
     */
    abstract set(key: string, value: AnyT): Promise<boolean>;
    /**
     * @stable [10.09.2020]
     * @param key
     * @param noPrefix
     * @protected
     */
    protected toKey(key: string, noPrefix?: boolean): string;
}
