import { IEffectsAction } from 'redux-effects-promise';
export declare const makeFailedEffectsProxy: (actionType: string, actionsResolver?: (action: IEffectsAction) => IEffectsAction[]) => () => void;
/**
 * @stable [18.07.2020]
 * @param {string} actionType
 * @returns {() => void}
 */
export declare const makeErrorEffectsProxy: (actionType: string) => () => void;
/**
 * @stable [08.09.2020]
 * @param section
 */
export declare const makeListLazyLoadErrorEffectsProxy: (section: string) => () => void;
/**
 * @stable [26.07.2020]
 * @param actionType
 */
export declare const makeFormSubmitErrorEffectsProxy: (actionType: string) => () => void;
/**
 * @stable [26.07.2020]
 * @param section
 */
export declare const makeListLoadErrorEffectsProxy: (section: string) => () => void;
/**
 * @stable [14.09.2020]
 * @param section
 */
export declare const makeConnectorInitErrorEffectsProxy: (section: string) => () => void;
