"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeSortedListMiddleware = void 0;
var action_builder_1 = require("../../component/action.builder");
/**
 * @stable [18.10.2019]
 * @param {ISortedListMiddlewareConfigEntity} config
 * @returns {IEffectsAction[]}
 */
exports.makeSortedListMiddleware = function (config) {
    var remoteSorter = config.remoteSorter;
    return remoteSorter === false
        ? null
        : [action_builder_1.ListActionBuilder.buildLoadAction(config.listSection)];
};
//# sourceMappingURL=sorted-list.middleware.js.map