/**
 * @stable [24.01.2020]
 * @param {((payload?: TPayload) => TResult) | TResult} result
 * @param {TPayload} payload
 * @returns {TResult}
 */
export declare const calc: <TResult, TPayload = any>(result: TResult | ((payload?: TPayload) => TResult), payload?: TPayload) => TResult;
/**
 * @stable [18.05.2020]
 */
export declare class CalcUtils {
    static readonly calc: <TResult, TPayload = any>(result: TResult | ((payload?: TPayload) => TResult), payload?: TPayload) => TResult;
}
