import { IKeyValue } from '../definitions.interface';
/**
 * @stable [13.03.2020]
 * @param {string} o
 * @returns {TResult}
 */
export declare const parseJson: <TResult = IKeyValue>(o: string) => TResult;
/**
 * @stable [13.03.2020]
 * @param {TObject} o
 * @returns {string}
 */
export declare const serializeJson: <TObject = any>(o: TObject) => string;
/**
 * @stable [10.09.2020]
 */
export declare class JsonUtils {
    static readonly formatJson: (o: IKeyValue, space?: number) => string;
}
