import { AnyT, StringNumberT } from '../definitions.interface';
/**
 * @stable [18.04.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isObjectNotEmpty: <TValue>(o: AnyT) => boolean;
/**
 * @stable [18.03.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isStringNotEmpty: <TValue>(o: AnyT) => boolean;
/**
 * @stable [15.05.2020]
 */
export declare class ObjectUtils {
    static buildNotEmptyOrNullValuesObject: <TValue>(object: TValue) => Record<StringNumberT, any>;
    static buildUndefValuesObject: <TValue>(object: TValue) => Record<StringNumberT, any>;
    static buildValuesObjectBy: <TValue>(object: TValue, mergeFn?: (o: any, key: any) => any, keyAccessor?: (o: any, key: any) => any) => Record<StringNumberT, any>;
    static isCurrentValueNotEqualPreviousValue: (current: any, previous: any) => boolean;
    static isObjectEmpty: <TValue>(o: unknown) => boolean;
    static isObjectNotEmpty: <TValue>(o: any) => boolean;
}
